import request from '@/utils/request'

export function add(data) {
  return request({
    url: 'api/dmApi',
    method: 'post',
    data
  })
}

export function del(ids) {
  return request({
    url: 'api/dmApi/',
    method: 'delete',
    data: ids
  })
}

export function edit(data) {
  return request({
    url: 'api/dmApi',
    method: 'put',
    data
  })
}

export function getDmApiBySystem(systemId) {
  return request({
    url: 'api/dmApi/getDmApiBySystem?systemId=' + systemId,
    method: 'get'/* ,
    data */
  })
}

export default { add, edit, del, getDmApiBySystem }
